cmake_minimum_required(VERSION 3.15.2)
# 设置项目名称与语言
project(LibTess VERSION 1.6 LANGUAGES C)
# 添加配置配件编写的函数
include(CMakePackageConfigHelpers)

if(${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Windows")
	set(CMAKE_INSTALL_PREFIX D:/Library)
endif()

message(STATUS "Platform: " ${CMAKE_HOST_SYSTEM_NAME})
message(STATUS "Install prefix: " ${CMAKE_INSTALL_PREFIX})
message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})

# 添加库源文件地址
add_subdirectory(lib)
add_subdirectory(toolkits)
add_subdirectory(test)